<div class="container">
  <div class="row justify-content-center">
    <div class="col-xs-10 col-sm-9 col-md-6">
      <div class="text-center">
        <h1>Gebruikers</h1>
      </div>

      <div *ngIf="!loginCheck()">Log in</div>

      <div *ngIf="!addBool && overview && loginCheck()">
        <table class="table table-bordered">
          <tr *ngFor="let user of overview.userRefs">
            <th>Naam:</th>
            <td>
              {{ user.username }}
            </td>
            <td>
              <button
                class="btn btn-medium btn-main"
                title="delete user"
                (click)="deleteUser(user)"
              >
                Verwijderen
              </button>
            </td>
          </tr>
        </table>

        <button
          class="btn btn-medium btn-main"
          title="add user"
          (click)="getUsers()"
        >
          Gebruiker toevoegen
        </button>

        <button class="btn btn-medium btn-main" title="back" (click)="goBack()">
          Terug
        </button>
      </div>

      <div *ngIf="addBool && dropdownArray && loginCheck()">
        <form
          *ngIf="overview"
          #overviewForm="ngForm"
          name="form"
          (ngSubmit)="onSubmit()"
          novalidate
        >
          <div class="form-group" *ngIf="dropdownArray[0]">
            <label for="users">Gebruikers:</label>

            <select
              [(ngModel)]="newUser"
              name="users"
              id="users"
              #users="ngModel"
              class="form-control"
            >
              <option *ngFor="let user of dropdownArray" [value]="user._id">
                {{ user.username }}
              </option>
            </select>
          </div>

          <button
            *ngIf="dropdownArray[0]"
            type="submit"
            class="btn btn-medium btn-main"
          >
            Toevoegen
          </button>
          <div *ngIf="!dropdownArray[0]">Geen gebruikers meer beschikbaar</div>
          <button
            class="btn btn-medium btn-main"
            title="back"
            (click)="addBool = false"
          >
            Terug
          </button>
        </form>
      </div>
    </div>
  </div>
</div>
